Xeonr Developer Docs
API SpecificationIntegration Admin

List integration content types

POST
/uplim.api.v1.IntegrationAdminService/ListIntegrationContentTypes

Lists content types defined by integrations, optionally filtered by integration ID.

Authorization

OAuth2 upl:private
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:private

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

integrationId?string|null

Filter by integration ID (optional)

Formatuuid
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/ListIntegrationContentTypes" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "contentTypes": [
    {
      "id": "string",
      "integrationId": "string",
      "criteria": {
        "kinds": [
          "CONTENT_TARGET_KIND_UNSPECIFIED"
        ],
        "filenamePattern": "string"
      },
      "renderer": {
        "enabled": true,
        "archiveUploadId": "0f00a816-1fc2-4597-bbce-ea7af713750b",
        "entryPath": "string"
      },
      "thumbnailParser": {
        "enabled": true,
        "poolId": "d038cb61-929c-440e-b3d3-abb22c5538f5"
      },
      "openWith": {
        "enabled": true,
        "callbackUrl": "http://example.com"
      },
      "priority": 0,
      "createdAt": "2023-01-15T01:30:15.01Z",
      "updatedAt": "2023-01-15T01:30:15.01Z"
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}